Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
categories
/
{category_uuid}
Get Category
curl --request GET \
  --url https://api.legitmark.com/api/v2/categories/{category_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Category fetched successfully",
  "category": "SUCCESS",
  "data": {
    "uuid": "cc30b104-7c47-11ef-a623-02595575faeb",
    "name": "Bag",
    "sides": [
      "3c14c21f-8134-11ef-9e85-02d0d7ecc26b",
      "3c14e254-8134-11ef-9e85-02d0d7ecc26b"
    ],
    "media": "https://cdn.legitmark.com/categories/cc30b104-7c47-11ef-a623-02595575faeb.png",
    "feature": true,
    "ordinal": 2,
    "active": true,
    "created_at": "2024-09-26T20:42:08.000Z",
    "updated_at": "2025-11-26T16:21:04.000Z"
  },
  "rc_hit": true,
  "rc_key": "categories:dd694701b7ae644dfbc319d2645dec0c"
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:leo_your_api_key_here
required

Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx

Path Parameters

category_uuid
string<uuid>
required

Response

Category retrieved successfully

message
string
required
Example:

"Category fetched successfully"

category
enum<string>
required
Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

false

rc_key
string

Cache key used for this response

Example:

"categories:abc123"